> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List institution credentials

>  

Use this endpoint to see which credentials will be needed to create a member for a specific institution.

Passing an invalid `institution_code` returns a `404`.


## OpenAPI

````yaml openapi/platform-api/v20111101.yaml GET /institutions/{institution_code}/credentials
openapi: 3.0.0
info:
  contact:
    name: MX Platform API
    url: https://www.mx.com/products/platform-api
  description: >
    The MX Platform API is a powerful, fully-featured API designed to make
    aggregating and enhancing financial data easy and reliable. It can
    seamlessly connect your app or website to tens of thousands of financial
    institutions.
  title: MX Platform API
  version: '20111101'
servers:
  - url: https://int-api.mx.com
  - url: https://api.mx.com
security:
  - basicAuth: []
tags:
  - name: authorization
  - name: widgets
  - name: users
  - name: members
  - name: institutions
  - name: accounts
  - name: transactions
  - name: microdeposits
  - name: managed data
  - name: transaction rules
  - name: statements
  - name: merchants
  - name: categories
  - name: insights
  - name: investment holdings
  - name: spending plan
  - name: goals
  - name: budgets
  - name: monthly cash flow profile
  - name: notifications
  - name: taggings
  - name: tags
  - name: deprecated
  - name: processor token
  - name: verifiable credentials
  - name: rewards
  - name: ach return
paths:
  /institutions/{institution_code}/credentials:
    get:
      tags:
        - institutions
      summary: List institution credentials
      description: >
        Use this endpoint to see which credentials will be needed to create a
        member for a specific institution.


        Passing an invalid `institution_code` returns a `404`.
      operationId: listInstitutionCredentials
      parameters:
        - $ref: '#/components/parameters/institutionCode'
        - $ref: '#/components/parameters/page'
        - $ref: '#/components/parameters/recordsPerPageMax1000'
      responses:
        '200':
          content:
            application/vnd.mx.api.v1+json:
              schema:
                $ref: '#/components/schemas/CredentialsResponseBody'
          description: OK
components:
  parameters:
    institutionCode:
      description: The institution_code of the institution.
      example: mxbank
      in: path
      name: institution_code
      required: true
      schema:
        type: string
    page:
      description: Results are paginated. Specify current page.
      example: 1
      in: query
      name: page
      schema:
        type: integer
    recordsPerPageMax1000:
      description: >-
        This specifies the number of records to be returned on each page.
        Defaults to `25`. The valid range is from `10` to `1000`. If the value
        exceeds `1000`, the default value of `25` will be used instead.
      example: 10
      in: query
      name: records_per_page
      schema:
        type: integer
  schemas:
    CredentialsResponseBody:
      properties:
        credentials:
          items:
            $ref: '#/components/schemas/CredentialResponse'
          type: array
        pagination:
          $ref: '#/components/schemas/PaginationResponse'
      type: object
    CredentialResponse:
      properties:
        display_order:
          example: 1
          nullable: true
          type: integer
        field_name:
          example: LOGIN
          nullable: true
          type: string
        field_type:
          example: TEXT
          nullable: true
          type: string
        guid:
          example: CRD-1ec152cd-e628-e81a-e852-d1e7104624da
          nullable: true
          type: string
        label:
          example: Username
          nullable: true
          type: string
        type:
          example: TEXT
          nullable: true
          type: string
      type: object
    PaginationResponse:
      properties:
        current_page:
          example: 1
          type: integer
        per_page:
          example: 25
          type: integer
        total_entries:
          example: 1
          type: integer
        total_pages:
          example: 1
          type: integer
      type: object
  securitySchemes:
    basicAuth:
      scheme: basic
      type: http

````